> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.ard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get lifestyle forecasts for multiple locations

> POST version of the lifestyle endpoint allowing for retrieving lifestyle forecasts for multiple locations at once



## OpenAPI

````yaml api-reference/pinpoint/openapi.json post /lifestyle
openapi: 3.0.1
info:
  title: Pinpoint API
  description: >-
    Weather forecast API providing hourly and daily forecasts, location
    information, and weather parameters
  version: 1.0.0
servers:
  - url: http://pinpoint.devops.arabiaweather.com
    description: Development API server
  - url: http://n01.pinpoint.devops.arabiaweather.com
    description: Development node n01
  - url: http://n02.pinpoint.devops.arabiaweather.com
    description: Development node n02
  - url: http://n03.pinpoint.devops.arabiaweather.com
    description: Development node n03
  - url: http://n04.pinpoint.devops.arabiaweather.com
    description: Development node n04
  - url: http://n05.pinpoint.devops.arabiaweather.com
    description: Development node n05
  - url: http://internal-tools-pinpoint.devops.arabiaweather.com
    description: Internal tools API server
security: []
tags:
  - name: forecast
  - name: parameters
  - name: location
  - name: admin
  - name: debug
paths:
  /lifestyle:
    post:
      tags:
        - forecast
      summary: Get lifestyle forecasts for multiple locations
      description: >-
        POST version of the lifestyle endpoint allowing for retrieving lifestyle
        forecasts for multiple locations at once
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
        required: true
      responses:
        '200':
          description: Lifestyle forecast data for multiple locations
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LifestyleResponse'
          headers: {}
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    LifestyleResponse:
      type: object
      additionalProperties:
        type: object
        properties:
          en:
            type: string
            description: English lifestyle description
          ar:
            type: string
            description: Arabic lifestyle description
      example:
        '2025-05-20':
          en: The weather is excellent for outdoor activities.
          ar: الطقس ممتاز للأنشطة الخارجية.
        '2025-05-21':
          en: High UV index today. Use sunscreen if outdoors.
          ar: >-
            مؤشر الأشعة فوق البنفسجية مرتفع اليوم. استخدم واقي الشمس إذا كنت في
            الخارج.
      properties: {}
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
        statusCode:
          type: integer
          description: HTTP status code
        statusMessage:
          type: string
          description: HTTP status message
      example:
        error: Location not found
        statusCode: 404
        statusMessage: Not Found

````